curl --request GET \
--url https://api.tensormesh.ai/auth/profile \
--header 'Authorization: Bearer <token>'{
"user": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
}Current-user auth profile, user records, terms of service, and user API key operations.
curl --request GET \
--url https://api.tensormesh.ai/auth/profile \
--header 'Authorization: Bearer <token>'{
"user": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
}Use this group for two related concerns:Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
/auth/profile returns the authenticated caller profile/v1/users/... covers user records, terms of service, and user API keysWas this page helpful?